## 概要

いわゆる「コンウェイのライフゲーム」です。GTK2を使ったフィールド・エディタが付いています。

## 実行

以下のコマンドでエディタが立ち上がります。

```
$ kaki-lifegame
```

Bundlerを使っている場合は

```
$ bundle exec kaki-lifegame
```

## 機能

- マウスのクリックでセルを ON/OFF できます。
- マウスの左ボタンを押しながらドラッグすると連続的にセルを描くことができます。また、右ボタンを押しながらドラッグすると、連続的にセルを消すことができます。
- 開始
    - 実行します。
- 停止
    - 停止します。以下の機能はすべて停止中にのみ有効です。
- 1ステップ進める
    - ステップ実行です。
- 1ステップ戻る
    - ひとつ前のフィールドに戻ります。戻れるのは過去20ステップまでです。
- ウェイト
    - ウェイトする時間を変更します。値が小さいほど更新が速くなります。なお、これは停止中でなくとも有効なボタンです。
- ばらまく
    - 適当にセルを散布します。
- 格子
    - 格子の表示を切り替えます。
- 緑色/橙色
    - セルの色です。
- 全クリア
    - すべてのセルを消します。
- 一時保存
    - 一時的にフィールドを内部に保存します。
- 復帰
    - 内部に保存したデータをフィールドに戻します。
- ファイルに保存
    - フィールドをファイルに保存します。
- ファイルの読み込み
    - ファイルに保存したフィールドのデータを読み込んで表示します。
- 終了
    - 終了します。



